Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Interface CmrFieldType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  CmrFieldTypeImpl

    public interface CmrFieldType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `cmr-fieldType` xsd type

Original Documentation:

The cmr-fieldType describes the bean provider's view of
a relationship. It consists of an optional description, and
the name and the class type of a field in the source of a
role of a relationship. The cmr-field-name element
corresponds to the name used for the get and set accessor
methods for the relationship. The cmr-field-type element is
used only for collection-valued cmr-fields. It specifies the
type of the collection that is used.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getCmrFieldName()` Returns the `cmr-field-name` element
`CmrFieldTypeType` | `getCmrFieldType()` Returns the `cmr-field-type` element
`java.lang.String` | `getCmrFieldTypeAsString()` Returns the `cmr-field-type` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`CmrFieldType<T>` | `removeAllDescription()` Removes the `description` element
`CmrFieldType<T>` | `removeCmrFieldName()` Removes the `cmr-field-name` element
`CmrFieldType<T>` | `setCmrFieldName(java.lang.String cmrFieldName)` If not already created, a new `cmr-field-name` element with the given value will be created.
`CmrFieldType<T>` | `setCmrFieldType(CmrFieldTypeType cmrFieldType)` If not already created, a new `cmr-field-type` element with the given value will be created.
`CmrFieldType<T>` | `setCmrFieldType(java.lang.String cmrFieldType)` If not already created, a new `cmr-field-type` element with the given value will be created.
`CmrFieldType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`CmrFieldType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    CmrFieldType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `CmrFieldType`

### setDescriptionList

    CmrFieldType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `CmrFieldType`

### removeAllDescription

    CmrFieldType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `CmrFieldType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setCmrFieldName

    CmrFieldType<T> setCmrFieldName(java.lang.String cmrFieldName)

  If not already created, a new `cmr-field-name` element with the given value will be created. Otherwise, the existing `cmr-field-name` element will be updated with the given value.

  Returns:
    the current instance of `CmrFieldType`

### removeCmrFieldName

    CmrFieldType<T> removeCmrFieldName()

  Removes the `cmr-field-name` element

  Returns:
    the current instance of `CmrFieldType`

### getCmrFieldName

    java.lang.String getCmrFieldName()

  Returns the `cmr-field-name` element

  Returns:
    the node defined for the element `cmr-field-name`

### setCmrFieldType

    CmrFieldType<T> setCmrFieldType(CmrFieldTypeType cmrFieldType)

  If not already created, a new `cmr-field-type` element with the given value will be created. Otherwise, the existing `cmr-field-type` element will be updated with the given value.

  Returns:
    the current instance of `CmrFieldType`

### setCmrFieldType

    CmrFieldType<T> setCmrFieldType(java.lang.String cmrFieldType)

  If not already created, a new `cmr-field-type` element with the given value will be created. Otherwise, the existing `cmr-field-type` element will be updated with the given value.

  Returns:
    the current instance of `CmrFieldType`

### getCmrFieldType

    CmrFieldTypeType getCmrFieldType()

  Returns the `cmr-field-type` element

  Returns:
    the node defined for the element `cmr-field-type`

### getCmrFieldTypeAsString

    java.lang.String getCmrFieldTypeAsString()

  Returns the `cmr-field-type` element

  Returns:
    the node defined for the element `cmr-field-type`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD